Bug 25756 - Empty HTML table row after OPAC "Appearance" preferences
Summary: Empty HTML table row after OPAC "Appearance" preferences
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords:
Depends on: 15311
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-15 14:56 UTC by Andreas Roussos
Modified: 2020-07-24 00:00 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
empty HTML table row (10.51 KB, image/png)
2020-06-15 14:56 UTC, Andreas Roussos
Details
Bug 25756: remove erroneous hyphen (1.35 KB, patch)
2020-06-15 15:04 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 25756: remove erroneous hyphen (1.40 KB, patch)
2020-06-17 13:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25756: remove erroneous hyphen (1.46 KB, patch)
2020-06-19 12:30 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2020-06-15 14:56:04 UTC
Created attachment 105885 [details]
empty HTML table row

As per the attached screenshot, in the Staff Client the OPAC "Appearance"
preferences table has an extra, empty HTML table row at the end.
Comment 1 Andreas Roussos 2020-06-15 15:04:00 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-06-17 13:18:49 UTC
Created attachment 105971 [details] [review]
Bug 25756: remove erroneous hyphen

In the Staff Client, the OPAC "Appearance" preferences table has an
extra, empty HTML table row at the end.

Test plan:
0) Observe the empty HTML table row at the end of the table that lists
   OPAC "Appearance" system preferences.
1) Apply this patch.
2) Observe that the empty table row is now gone.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2020-06-19 12:30:45 UTC
Created attachment 106076 [details] [review]
Bug 25756: remove erroneous hyphen

In the Staff Client, the OPAC "Appearance" preferences table has an
extra, empty HTML table row at the end.

Test plan:
0) Observe the empty HTML table row at the end of the table that lists
   OPAC "Appearance" system preferences.
1) Apply this patch.
2) Observe that the empty table row is now gone.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-06-19 12:30:59 UTC
Good catch, passing QA
Comment 5 Jonathan Druart 2020-06-24 13:33:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-10 16:13:13 UTC
backported to 20.05.x for 20.05.02
Comment 7 Aleisha Amohia 2020-07-13 02:27:42 UTC
backported to 19.11.x for 19.11.08
Comment 8 Victor Grousset/tuxayo 2020-07-24 00:00:50 UTC
Backported to 19.05.x branch for 19.05.14